#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
using namespace std;

int main()
{
    long long int l,d;
    double s=0,sp,sq,sr,p,q,r;
    int br=0;
    scanf("%lf%lf%lf%lld%lld",&p,&q,&r,&l,&d);
    while(l<=d)
    {
        sp=ceil(l/p);
        sq=ceil(l/q);
        sr=ceil(l/r);
        s+=sp+sq+sr;
        if(s<=l)br++;
        s=0;
        l++;
    }
    printf("%d",br);
}